Skip to main content
Resource Center/Network Resource/Multicast Routing Operations
GETMulticast Routing OperationsSince 3.7.0SynchronousAuth Required

GetVpcMulticastRoute

GetVpcMulticastRoute

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Query Parameters

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • sourceAddressStringRequired

      源地址。

    • groupAddressStringRequired

      组地址。

    • ingressInterfacesStringRequired

      No description provided.

    • egressInterfacesStringRequired

      No description provided.

Endpoint

GET/zstack/v1/multicast/virtual-routers/{uuid}/routes

/zstack/v1/multicast/virtual-routers/{uuid}/routes

Operation ID

GetVpcMulticastRoute

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/multicast/virtual-routers/{uuid}/routes?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "sourceAddress": "1.2.3.4", "groupAddress": "239.1.1.1", "ingressInterfaces": "eth0", "egressInterfaces": "eth1" } ] }

Change History

This API has no change history records yet.

View all change history